/companies/{company_id} Update a specific company
Note: when updating a company field, either the `id` or `name` and the `value` must be present.
Path parameters
| Name | Type | Description |
|---|---|---|
company_id req | string | Company ID |
Request body
namestringName of the company
descriptionstringDescription of the company
urlstringURL of the company
phonestringPhone number of the company
addressobjectThe company's postal address.
object fields →
addressstringProperty name/number and street name
citystringName of the city
statestringName of the state
zip_codestringZip code
country_codestringISO-3166 country code
company_fieldsarray<object>Extra user-configurable data fields for Companies. Only editable by admins.
array item fields →
company_fieldobjectobject fields →
idstringbson-idID of the company field
valuestringValue for the company field
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
companyobjectReferred to as 'organizations' in the web application. Companies are logical collections of Contacts and related sub-resources e.g. Deals, Actions and some basic info on the org. e.g. postal address, website. A Company may not be created directly or exist without a Contact.
object fields →
idstringbson-idID of the company
imagestringBase64 encoded binary image
namestringrequiredName of the company
descriptionstringDescription of the company
phonestringPhone number of the company
photo_urlstringURL to company logo
urlstringURL of the company
addressobjectThe company's postal address.
object fields →
addressstringProperty name/number and street name
citystringName of the city
statestringName of the state
zip_codestringZip code
country_codestringISO-3166 country code
company_fieldsarray<object>Custom field values on the company.
array item fields →
company_fieldobjectExtra user-configurable data fields for Companies. Only editable by admins.
object fields →
idstringbson-idID of the company field
namestringrequiredName of the company field
typestringrequiredType of the company field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a company doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).
enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider
positionintegerint32The position of the company field in the list
choicesarray<string>A list of possible choices (for fields of type `multiple_choice` or `select_box`)
valuestringValue for the company field
syncing_statusbooleanShould all contacts in this company share the same status?
synced_status_idstringbson-idID of the status, that all contacts within this company are synced to
syncing_tagsbooleanShould all contacts in this company share the same tags?
synced_tagsarray<string>Tags that all contacts within this company share
contacts_countintegerint32Number of contacts in this company
won_deals_countintegerint32Number of deals closed with contacts in this company
total_won_amountnumberThe total value of the won deals with contacts in this company
pending_deals_countintegerint32Number of the pending deals with contacts in this company
total_pending_amountnumberThe total value of the pending deals with contacts in this company
contactsarray<object>List of contacts in the comapny
array item fields →
contactobjectInformation about the people you are actively trying to sell to, and related sub-resources like Actions, Deals, Notes, Calls and Meetings.
object fields →
idstringbson-idID of the contact
titlestringThe title of the contact
enum: Mr · Mrs · Ms
first_namestringFirst name of the contact
last_namestringLast name of the contact
job_titlestringJob title of the contact
starredbooleanIs the contact starred?
photo_urlstringURL of the contact's photo
company_idstringbson-idID of the company, to which the contact belongs
company_namestringName of the company, to whom the contact belongs
urlsarray<object>URLs associated with the contact
array item fields →
typestringThe type of URL
enum: website · blog · twitter · linkedin · xing · facebook · google_plus · other
valuestringThe URL associated with the contact
phonesarray<object>Phone numbers associated with the contact
array item fields →
typestringThe type of phone number
enum: work · mobile · home · direct · fax · company · other
valuestringThe phone number associated with the contact
emailsarray<object>Email addresses associated with the contact
array item fields →
typestringThe type of email address
enum: work · home · other
valuestringThe email address associated with the contact
address_listarray<object>An array of contact addresses.
array item fields →
addressstringStreet address.
citystringCity.
statestringState, province or region.
zip_codestringPostal or ZIP code.
country_codestringISO 3166 country code, upper-case.
typestringType of the address
enum: work · home · billing · delivery · other
statusstringStatus of the contact
status_idstringbson-idID of the status of the contact
tagsarray<string>Tags on the contact — free-form strings from the account's tag list.
lead_source_idstringID of the lead source of the contact
lead_sourcestringDisplay name of the lead source of the contact
backgroundstringBackground infomation about the contact
owner_idstringbson-idID of the user, to whom the contact belongs. Defaults to the logged API user's ID.
custom_fieldsarray<object>Custom field values on the contact, as custom field and value pairs.
array item fields →
custom_fieldobjectExtra user-configurable data fields for Contacts. Only editable by admins.
object fields →
idstringbson-idID of the custom field
namestringrequiredName of the custom field
typestringrequiredType of the custom field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a contact doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).
enum: anniversary · date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider
positionintegerint32The position of the custom field in the list
choicesarray<string>A list of possible choices (for fields of type `multiple_choice` or `select_box`)
valuestringValue for the custom field
letterstringThe first letter of the contacts last name
pending_dealbooleanDoes the contact have one or more pending deals?
total_pendingsnumberThe total value of all pending deals for the contact
total_deals_countintegerint32Number of deals associated with the contact
company_sizeintegerint32Number of contacts within the contact's company
sales_closed_forarray<string>A list of user IDs, for whom the sales cycle is closed
closed_salesarray<object>A list of closed sales objects
array item fields →
user_idstringbson-idID of the user, for whom the sales cycle is closed
closed_atintegerunix-timestampTime that the sales cycle was closed
commentstringAn optional message detailing why the sales cycle was closed
google_contacts_dataobjectThe google contacts data associated with this contact
object fields →
account_emailstringGoogle contacts email
idstringGoogle contact id
saved_atintegerunix-timestampTime the contact was saved to google
created_atstringdate-timeCreation time of the contact
modified_atstringdate-timeLast modification time of the contact
next_actionsarray<object>array item fields →
idstringbson-idID of the action
assignee_idstringbson-idrequiredID of the user, to whom the action is assigned. Defaults to the logged API user's ID.
contact_idstringbson-idrequiredID of the contact, with whom the action is associated
textstringrequiredThe main text/description of the action
statusstringStatus of the action
enum: asap · date · date_time · waiting · queued · queued_with_date · done
datestringdateDue date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.
exact_timeintegerunix-timestampThe UNIX Epoch time in seconds the action is due (status must be `date_time`)
positionintegerint32The position of the action (in the list of queued actions)
donebooleanHas the action been marked as complete?
done_atstringdateThe date the action was completed (only returned, if action complete)
created_atstringdate-timeCreation time of the action
modified_atstringdate-timeLast modification time of the action
next_actionobjectCompletable tasks related to Contacts. ASAP first, then dated actions ordered by due date (overdue first), followed by waiting for (blocked) and finally queued actions (without any date).
object fields →
idstringbson-idID of the action
assignee_idstringbson-idrequiredID of the user, to whom the action is assigned. Defaults to the logged API user's ID.
contact_idstringbson-idrequiredID of the contact, with whom the action is associated
textstringrequiredThe main text/description of the action
statusstringStatus of the action
enum: asap · date · date_time · waiting · queued · queued_with_date · done
datestringdateDue date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.
exact_timeintegerunix-timestampThe UNIX Epoch time in seconds the action is due (status must be `date_time`)
positionintegerint32The position of the action (in the list of queued actions)
donebooleanHas the action been marked as complete?
done_atstringdateThe date the action was completed (only returned, if action complete)
created_atstringdate-timeCreation time of the action
modified_atstringdate-timeLast modification time of the action
queued_actionsarray<object>array item fields →
idstringbson-idID of the action
assignee_idstringbson-idrequiredID of the user, to whom the action is assigned. Defaults to the logged API user's ID.
contact_idstringbson-idrequiredID of the contact, with whom the action is associated
textstringrequiredThe main text/description of the action
statusstringStatus of the action
enum: asap · date · date_time · waiting · queued · queued_with_date · done
datestringdateDue date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.
exact_timeintegerunix-timestampThe UNIX Epoch time in seconds the action is due (status must be `date_time`)
positionintegerint32The position of the action (in the list of queued actions)
donebooleanHas the action been marked as complete?
done_atstringdateThe date the action was completed (only returned, if action complete)
created_atstringdate-timeCreation time of the action
modified_atstringdate-timeLast modification time of the action
next_action_conflictsarray<any>
pending_dealsarray<object>Pending deals across the company's contacts.
array item fields →
dealobjectRepresent (potential) financial transactions with your contacts. Deals include information like amount, deal stage, closed date or expected close date. Deals support file attachments.
object fields →
idstringbson-idID of the deal
contact_idstringbson-idrequiredID of the contact, to whom the deal belongs
owner_idstringbson-idrequiredID of the user, to whom the deal belongs. Defaults to the logged API user's ID.
pipeline_idstringbson-idID of a pipeline the deal belongs to
sales_pipeline_idstringbson-idID of a sales pipeline the deal belongs to
namestringrequiredName of the deal
textstringExtra notes related to the deal (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)
stageintegerint32A numerical representation of the progress of a pending deal (number ranging from 0 to 100 exclusive)
statusstringStatus of the deal
enum: pending · won · lost
expected_close_datestringdateThe date the deal is expected to close (status should be `pending`). Defaults to today's date.
close_datestringdateThe date the deal actually closed (status should be `won` or `lost`). Defaults to today's date.
datestringdateCreation date of the deal. Defaults to today's date.
amountnumberfloatThe monitary value of the deal (per month, if multi-month deal)
monthsintegerint32Number of months the deal is to be paid for (1 for regular deals, 2+ for multi-month)
costnumberfloatThe monitary cost of the deal
marginnumberfloatProfit margin for the deal (`amount` minus `cost`)
total_amountnumberfloatProduct of amount and months (will only differ from `amount` field, if multi-month deal)
total_costnumberfloatProduct of cost and months (will only differ from `cost` field, if multi-month deal)
commission_basestringBase used to calculate the commission of the deal
enum: amount · margin
commission_typestringType of commission for the deal
enum: none · percentage · absolute
commissionnumberfloatCommission payable for the deal
commission_percentagenumberfloatCommission percentage for the deal
reason_lost_idstringbson-idID of the reason lost
deal_fieldsarray<object>Custom field values on the deal.
array item fields →
deal_fieldobjectExtra user-configurable data fields for Deals. Only editable by admins.
object fields →
idstringbson-idID of the deal field
namestringrequiredName of the deal field
typestringrequiredType of the deal field. There are several types of custom fields that may store data in different formats. External ID type is a special type introduced for referencing entities in the external systems. Its value is unique amid the whole system. Section divider type is introduced just for visual purpose: it allows grouping custom fields. If custom fields in the section don't have values then they are hidden in the 'view' UI (but always shown in 'edit' UI). This logic is applied in the API: if a deal doesn't have values for all the custom fields in the section then this section divider custom field isn't exposed in the API (along with other custom fields inside the section).
enum: date · multi_line_text · multiple_choice · number · select_box · single_line_text · external_id · section_divider
positionintegerint32The position of the deal field in the list
choicesarray<string>A list of possible choices (for fields of type `multiple_choice` or `select_box`)
valuestringValue for the deal field
has_deal_itemsbooleanDoes the deal have deal items?
deal_itemsarray<object>Line items on the deal — each with a name, quantity, price, cost and amount.
array item fields →
idstringbson-idID of the deal item
namestringrequiredName of the deal item
descriptionstringrequiredDescription text of the deal item
costnumberfloatrequiredCost of the deal item
pricenumberfloatrequiredPrice of the deal item
amountnumberfloatAmount of the deal items
qtyintegerint32requiredQuantity of deal items
deal_idstringbson-idID of the parent deal
predefined_item_idstringbson-idID of the predefined item used for deal item creation (can be empty)
positionintegerint32Position of the predefined item in the items list
created_atstringdate-timeCreation time of the deal item
modified_atstringdate-timeLast modification time of the deal item
authorstringShortened name of the creator of the deal. Defaults to the logged API user.
has_related_notesbooleanDoes the deal have related notes?
attachmentsarray<object>Files attached to the deal.
array item fields →
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon · google_drive · dropbox · evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields →
urlstringExternal URL of the attachment's thumbnail
contact_infoobjectInformation about the contact, to whom the deal belongs (read only).
object fields →
contact_namestringName of the contact associated with the deal
companystringName of the company associated with the deal
ownerobjectInformation about the deal owner (read only).
object fields →
idstringID of the deal owner
namestringName of the deal owner
emailstringEmail address of the deal owner
previous_pipeline_stagesobjectReturns the last stage in which the deal was for each pipeline (pipeline_id => stage) This field is returned only when 'include_history=true' param is supplied in query string
created_atstringdate-timeCreation time of the deal
modified_atstringdate-timeLast modification time of the deal
linked_contactsarray<object>Short form of contacts linked to the deal. Always returned with the deal payload (on both `GET /deals` and `GET /deals/{deal_id}`). For full contact objects use `fields=contacts(all)` on `GET /deals`.
array item fields →
idstringbson-idID of the linked contact
contact_namestringFull display name of the linked contact
companystringDisplay name of the company the contact belongs to (empty string if none)
photo_urlstringURL of the contact's profile picture (empty string if none)
created_atstringdate-timeCreation time of the company
modified_atstringdate-timeLast modification time of the company
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.